Subject: Re: bug#47615: [PATCH 0/9] Add 32-bit powerpc support

From: Efraim Flashner <[email-masked]>
Date: Mon, 24 May 2021 12:51:06 +0300

On Tue, May 11, 2021 at 10:24:03PM +0200, Ludovic Courtès wrote:
> Hi!
> 
> Efraim Flashner <[email-masked]> skribis:
> 
> > How about changing the mips64el documentation to say that there is
> > minimal support for the two architectures, with no substitutes, and may
> > be fun for tinkerers with the hardware. Then we could also change the
> > check in the guix.m4 to add mips64el-linux as supported in case anyone
> > does actually want to play with it.
> 
> No, not as “supported”, I surely don’t want to deal with mips64el-linux
> bugs.  :-)
> 
> > Current text:
> >
> > @item mips64el-linux (deprecated)¬
> > little-endian 64-bit MIPS processors, specifically the Loongson series,
> > n32 ABI, and Linux-Libre kernel.  This configuration is no longer fully
> > supported; in particular, there is no ongoing work to ensure that this
> > architecture still works.  Should someone decide they wish to revive this
> > architecture then the code is still available.
> >
> > Proposed text:
> >
> > @item Alternative architectures
> > In addition to architectures which are actually supported there are a
> > few formally unsupported architectures which may be of interested to
> > tinkerers. Namely mips64el-linux, little-endian 64-bit MIPS processors,
> > specifically the Loongson series, n32 ABI, and powerpc-linux, big-endian
> > 32-bit POWER processors, specifically the PowerPC 74xx series. There are
> > no installation tarballs, substitutes or promises that these
> > architectures are functional.
> >
> > And then I'd move it lower than the powerpc64le-linux entry.
> 

Ah, I didn't see your email.

> Maybe it’s more readable to keep it as a bullet list, like:
> 
>   @item mips64el-linux (@emph{unsupported})
>   …
> 
>   @item powerpc-linux (@emph{unsupported})
>   …
> 
> with a sentence explaining what “unsupported” means.

That was kind-of my idea with grouping them together

> IMO guix.m4 should either require --with-courage or emit a prominent
> warning for these.
> 
> WDYT?
> 
> Thanks,
> Ludo’.
> 

The problem then becomes whoever tinkers with it will have to keep
either a custom guix.m4 for their guix package or a custom guix package
with "--with-courage" as a configure-flag.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted